<?xml version="1.0" encoding="utf-8"?>
<ArrayOfAnyType xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <anyType xsi:type="DiagnosticReading">
    <DateTime>12/15/2025 14:37:17</DateTime>
    <LocationName>SARA-04-08</LocationName>
    <Parameters xsi:type="ComboUpwardUltrasonicParameters">
      <MonitoringPoint>0</MonitoringPoint>
      <ComboDevice>232</ComboDevice>
      <PhysicalOffset>0</PhysicalOffset>
      <Channel>1</Channel>
      <TemperatureSensor>Channel1</TemperatureSensor>
      <PipeHeight>23.18</PipeHeight>
      <Enable>true</Enable>
      <StoreData>true</StoreData>
      <ElectronicOffset>0</ElectronicOffset>
      <Deadband>0</Deadband>
      <FlowType>0</FlowType>
      <DacGain>840</DacGain>
      <PingAmplitude>0</PingAmplitude>
    </Parameters>
    <Results xsi:type="ComboUpwardUltrasonicResults">
      <DateTime>12/15/2025 14:37:09</DateTime>
      <MonitoringPoint>0</MonitoringPoint>
      <AverageDepth>9.031134</AverageDepth>
      <AverageTemperature>78.0125</AverageTemperature>
      <MaximumSignal>256.561218</MaximumSignal>
      <Quality>0.466666669</Quality>
      <AdjustedDepth>9.031134</AdjustedDepth>
      <DacGain>-9</DacGain>
      <AccelerometerSlope>-4.466768</AccelerometerSlope>
      <AccelerometerRotation>69.59572</AccelerometerRotation>
    </Results>
  </anyType>
  <anyType xsi:type="DiagnosticReading">
    <DateTime>12/15/2025 14:37:31</DateTime>
    <LocationName>SARA-04-08</LocationName>
    <Parameters xsi:type="ComboPressureParameters">
      <MonitoringPoint>0</MonitoringPoint>
      <ComboDevice>232</ComboDevice>
      <PhysicalOffset>0</PhysicalOffset>
      <Channel>1</Channel>
      <TemperatureSensor>Channel1</TemperatureSensor>
      <PipeHeight>0</PipeHeight>
      <Enable>true</Enable>
      <StoreData>true</StoreData>
      <AutomaticCalibration>true</AutomaticCalibration>
      <ElectronicOffset>-1.75</ElectronicOffset>
    </Parameters>
    <Results xsi:type="ComboPressureResults">
      <DateTime>12/15/2025 14:37:28</DateTime>
      <MonitoringPoint>0</MonitoringPoint>
      <MeasuredDepth>8.402903</MeasuredDepth>
      <AdjustedDepth>6.6529026</AdjustedDepth>
      <Temperature>0</Temperature>
      <Quality>1</Quality>
    </Results>
  </anyType>
  <anyType xsi:type="DiagnosticReading">
    <DateTime>12/15/2025 14:37:47</DateTime>
    <LocationName>SARA-04-08</LocationName>
    <Parameters xsi:type="ComboVelocityParameters">
      <MonitoringPoint>0</MonitoringPoint>
      <ComboDevice>232</ComboDevice>
      <PhysicalOffset>0</PhysicalOffset>
      <Channel>1</Channel>
      <TemperatureSensor>Channel1</TemperatureSensor>
      <PipeHeight>0</PipeHeight>
      <Enable>true</Enable>
      <StoreData>true</StoreData>
      <Gain>0.9</Gain>
      <EnableScrubbing>true</EnableScrubbing>
      <Sensitivity>10</Sensitivity>
      <Direction>1</Direction>
      <FlowType>0</FlowType>
      <Duration>3</Duration>
      <Maximum>0</Maximum>
      <DacGain>840</DacGain>
      <PingAmplitude>0</PingAmplitude>
      <Frequency>1</Frequency>
    </Parameters>
    <Results xsi:type="ComboVelocityResults">
      <DateTime>12/15/2025 14:37:43</DateTime>
      <MonitoringPoint>0</MonitoringPoint>
      <Velocity>0.5769794</Velocity>
      <Quality>0</Quality>
      <Temperature>78.0125</Temperature>
      <MaximumSignal>13.0900307</MaximumSignal>
      <DacGain>-8</DacGain>
    </Results>
  </anyType>
  <anyType xsi:type="DiagnosticReading">
    <DateTime>12/15/2025 14:38:13</DateTime>
    <LocationName>SARA-04-08</LocationName>
    <Parameters xsi:type="ComboUltrasonicParameters">
      <MonitoringPoint>0</MonitoringPoint>
      <ComboDevice>234</ComboDevice>
      <PhysicalOffset>1.75</PhysicalOffset>
      <Channel>2</Channel>
      <TemperatureSensor>Channel2</TemperatureSensor>
      <PipeHeight>23.18</PipeHeight>
      <Enable>true</Enable>
      <StoreData>true</StoreData>
      <Pairs>
        <short>0</short>
        <short>0</short>
        <short>0</short>
        <short>0</short>
      </Pairs>
      <Offset>0</Offset>
      <DisableSurchargeDetection>false</DisableSurchargeDetection>
      <DacGain>840</DacGain>
      <Mode>0</Mode>
      <Blanking>0</Blanking>
    </Parameters>
    <Results xsi:type="ComboUltrasonicResults">
      <DateTime>12/15/2025 14:38:12</DateTime>
      <MonitoringPoint>0</MonitoringPoint>
      <SelectedPairs>
        <short>0</short>
        <short>0</short>
        <short>0</short>
        <short>0</short>
      </SelectedPairs>
      <Depths>
        <float>31.42</float>
      </Depths>
      <Ranges>
        <float>-9.99</float>
      </Ranges>
      <Qualities>
        <float>0</float>
      </Qualities>
      <AverageDepth>31.42</AverageDepth>
      <AverageTemperature>-9.99</AverageTemperature>
      <Temperatures>
        <float>-9.99</float>
      </Temperatures>
      <MaximumSignal>
        <float>0</float>
      </MaximumSignal>
      <DacGain>
        <float>-66</float>
      </DacGain>
      <AccelerometerSlope xsi:nil="true" />
      <AccelerometerRotation xsi:nil="true" />
    </Results>
  </anyType>
</ArrayOfAnyType>